addilapi
2 Iron

Issues with MIBs / Alerts in OpenManage Essentials

Our ITA database was several years old and had gone through several upgrades prior to upgrading to OME 1.01.  Somewhere in all of that history some duplicate alert definitions snuck into the database and some custom alert definitions were created.  Unfortunately now that we are on OME there seems to be no way to delete any of these custom or duplicate alert definitions from our database.  I was hoping the MIB utility would resolve this but it has not.

Also, as someone else has mentioned previously there seems to be some alert definitions missing from the "VMware ESX Server" group.  Here is one that comes up a lot:

Enterprise: .1.3.6.1.4.1.6876.4.90 Trap Ids:Generic:6 Specific:401; (;0= 07 dc 03 08 14 23 2f;1=172.20.164.10)

Since none of the ITA/OME upgrades have added this in I was hoping to use the MIB import utility to add this definition.  Unfortunately when I attempt to import from the latest VMWware vSphere MIB I get this error in the import uility:

Trap of VMWARE-ROOT-MIB MIB are already defined in OpenManage Essentials.  Tool does not allow parsing of pre-defined trap definitions.

Is there a hack to fix these problems and/or future support/corrections coming for these issues?

0 Kudos
8 Replies

Re: Issues with MIBs / Alerts in OpenManage Essentials

Hi,

Thanks for your post. The next version of OME coming in Q3/Q4 this year should have updated definitions for the ESXi traps.

MIB import utility prevents the MIB update if the MIB is already defined. This is done as a preventive measure so that the existing definitions MIB definitions don't get wiped due to any errors in the import process.

Regards

Abhijit

0 Kudos
Cook-User7571
1 Copper

Re: Issues with MIBs / Alerts in OpenManage Essentials

OpenMange Essentials version 1.1 has been released and is still missing the above mentioned alert definition. MIB import utility still cannot import VMWARE-ROOT-MIB with the above mentioned message.

Is there a different solution for this issue?

0 Kudos

Re: Issues with MIBs / Alerts in OpenManage Essentials

True....we're getting it into OME 1.2.  

Can you try to import this MIB and see if it works?

Downloaded latest vmware MIBs (5.1) from this location: my.vmware.com/.../details

These MIBs are not currently part of OME:

VMWARE-CIMOM-MIB

VMWARE-SRM-EVENT-MIB

VMWARE-VCOPS-EVENT-MIB

Rob

DELL-Rob C
Social Media Support
#IWork4Dell

0 Kudos
Highlighted
Cook-User7571
1 Copper

Re: Issues with MIBs / Alerts in OpenManage Essentials

When trying to parse MIB for VMWARE-CIMOM-MIB, on the 5.1 downloaded MIBs from vmware

OpenManage Essentials MIB import utility displays:

Title: Dell OpenManage Essentials MIB Import Utility

Error: Seletect MIB refers to the followings MIB(s). Add VMWARE-ENV-MIB, VMWARE-ROOT-MIB to the MIB repository or successful parsing.

------------------------------------------

When trying to parse MIB for VMWARE-SRM-EVENT-MIB, on the 5.1 downloaded MIBs from vmware

OpenManage Essentials MIB import utility displays:

Title: Dell OpenManage Essentials MIB Import Utility

Error: Seletect MIB refers to the followings MIB(s). Add VMWARE-ROOT-MIB to the MIB repository or successful parsing.

------------------------------------------

When trying to parse MIB for VMWARE-ENV-MIB, on the 5.1 downloaded MIBs from vmware

OpenManage Essentials MIB import utility displays:

Title: Dell OpenManage Essentials MIB Import Utility

Error: Seletect MIB refers to the followings MIB(s). Add VMWARE-ROOT-MIB, VMWARE-PRODUCTS-MIB, VMWARE-TC-MIB to the MIB repository or successful parsing.

------------------------------------------

When trying to parse MIB for VMWARE-VCOPS-EVENT-MIB, on the 5.1 downloaded MIBs from vmware

The MIBs Parse without error.

===============

 

 

 

0 Kudos

Re: Issues with MIBs / Alerts in OpenManage Essentials

I think you need to add one or more of the mibs to the mib repository.  Take a look at one of the whitepapers on the MIB landing page from delltechcenter.com/ome and see if that helps.  

Thx

Rob

DELL-Rob C
Social Media Support
#IWork4Dell

0 Kudos
Cook-User7571
1 Copper

Re: Issues with MIBs / Alerts in OpenManage Essentials

The current VMware MIB that is pre-loaded with OME will not allow the current VMware 5.1 MIBs to load. These auxiliary VMware MIBs are looking specifically for the VMware 5.1 MIBs which cannot load.  I have been unable to find a way to remove the OME pre-loaded VMware MIBs.

0 Kudos
joyrunner
2 Bronze

Re: Issues with MIBs / Alerts in OpenManage Essentials

Hi,

Is it possible to try this:

Import the dependent MIBs in the MIBImport utility's MIB Repository (VMWARE-ROOT-MIB, VMWARE-TC-MIB, VMWARE-PRODUCTS-MIB, VMWARE-ENV-MIB). Once these are part of the MIB Repository, you should be able to parse the VMWARE-CIMOM-MIB which contains this heartbeat trap.  

If parsing works, then you should be able to import it in the OME.

Note: Please do not try parsing the dependent MIBs as it will block you with the message which you are seeing now.

Regards,

0 Kudos
Cook-User7571
1 Copper

Re: Issues with MIBs / Alerts in OpenManage Essentials

Thank you,

I had to use the "MIB Repository" tab in the OpenManage Essentials Import Utility to "Add the MIB Folder Path" for the VMware 5.1 MIB(s), first.  I was then able to use the "Import MIB" tab to import the appropriate MIBs.

0 Kudos